Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.management.configuration
Interface WebAppComponentMBean

All Known Subinterfaces:
  WebServiceComponentMBean

public interface WebAppComponentMBean
extends ComponentMBean, WebDeploymentMBean

Provides methods for configuring a J2EE web application that is deployed on a WebLogic Server instance. WebLogic Server instantiates this interface only when you deploy a web application.

This interface can configure web applications that are deployed as a WAR file or an exploded directory.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Fields inherited from class weblogic.management.configuration.ComponentMBean
`CACHING_STUB_SVUID`

Fields inherited from class weblogic.management.configuration.WebDeploymentMBean
`CACHING_STUB_SVUID`

Fields inherited from class weblogic.management.configuration.DeploymentMBean
`CACHING_STUB_SVUID, DEFAULT_ORDER, MAX_ORDER, MIN_ORDER`

Fields inherited from class weblogic.management.configuration.ConfigurationMBean
`CACHING_STUB_SVUID, DEFAULT_EMPTY_BYTE_ARRAY`

Fields inherited from class weblogic.management.configuration.DeploymentMBean
`CACHING_STUB_SVUID, DEFAULT_ORDER, MAX_ORDER, MIN_ORDER`

Fields inherited from class weblogic.management.configuration.ConfigurationMBean
`CACHING_STUB_SVUID, DEFAULT_EMPTY_BYTE_ARRAY`

Method Summary
`java.lang.String` | `getAuthFilter()` Sets the AuthFilter Servlet class, which will be called before and after all authentication and authorization checks in the Web Application.
`java.lang.String` | `getAuthRealmName()` Sets the Realm in the Basic Authentication HTTP dialog box, which pops up on the browsers.
`int` | `getServletReloadCheckSecs()` How often WebLogic checks whether a servlet has been modified, and if so reloads it.
`int` | `getSingleThreadedServletPoolSize()` Defines the size of the pool used for SingleThreadedModel instance pools.
`boolean` | `isIndexDirectoryEnabled()` Indicates whether or not to automatically generate an HTML directory listing if no suitable index file is found.
`boolean` | `isPreferWebInfClasses()` If true, classes located in the WEB-INF directory of a web-app will be loaded in preference to classes loaded in the application or system classloader.
`boolean` | `isServletExtensionCaseSensitive()` Treats all .extension except for .html as lower case.
`boolean` | `isSessionMonitoringEnabled()` If true, then runtime MBeans will be created for sessions; otherwise, they will not.
`void` | `setAuthFilter(java.lang.String name)` Sets the authFilter attribute of the WebAppComponentMBean object.
`void` | `setAuthRealmName(java.lang.String name)` Sets the authRealmName attribute of the WebAppComponentMBean object.
`void` | `setIndexDirectoryEnabled(boolean enable)` Sets the indexDirectoryEnabled attribute of the WebAppComponentMBean object.
`void` | `setPreferWebInfClasses(boolean b)` Sets the preferWebInfClasses attribute of the WebAppComponentMBean object
`void` | `setServletExtensionCaseSensitive(boolean enable)` Sets the servletExtensionCaseSensitive attribute of the WebAppComponentMBean object.
`void` | `setServletReloadCheckSecs(int secs)` Sets the servletReloadCheckSecs attribute of the WebAppComponentMBean object.
`void` | `setSessionMonitoringEnabled(boolean e)` Sets the sessionMonitoringEnabled attribute of the WebAppComponentMBean object.
`void` | `setSingleThreadedServletPoolSize(int siz)` Sets the singleThreadedServletPoolSize attribute of the WebAppComponentMBean object.

Methods inherited from interface weblogic.management.configuration.ComponentMBean
`activated, getActivatedTargets, getApplication, getDDEditingDisabledReason, getURI, isDDEditingEnabled, refreshDDsIfNeeded, setApplication, setURI`

Methods inherited from interface weblogic.management.configuration.WebDeploymentMBean
`addVirtualHost, addWebServer, getDeployedVirtualHosts, getVirtualHosts, getWebServers, removeVirtualHost, removeWebServer, setDeployedVirtualHosts, setVirtualHosts, setWebServers`

Method Detail

### isIndexDirectoryEnabled

    public boolean isIndexDirectoryEnabled()

  Indicates whether or not to automatically generate an HTML directory listing if no suitable index file is found.

  Default Value: false
  Old Property: weblogic.httpd.indexDirectories
  Returns:
    The indexDirectoryEnabled value

### setIndexDirectoryEnabled

    public void setIndexDirectoryEnabled(boolean enable)

  Sets the indexDirectoryEnabled attribute of the WebAppComponentMBean object.

  Secure Value: false
  Parameters:
    `enable` - The new indexDirectoryEnabled value

### isServletExtensionCaseSensitive

    public boolean isServletExtensionCaseSensitive()

  Treats all .extension except for .html as lower case. This is only necessary on WindowsNT. This property is being deprecated. The extension comparision will be case insensitive by default on Win32.

  A non-configurable MBean attribute.
  Default Value: false
  Old Property: weblogic.httpd.servlet.extensionCaseSensitive
  Returns:
    The servletExtensionCaseSensitive value

### setServletExtensionCaseSensitive

    public void setServletExtensionCaseSensitive(boolean enable)

  Sets the servletExtensionCaseSensitive attribute of the WebAppComponentMBean object. Note: servletExtensionCaseSensitive is a deprecated attribute.

  A non-configurable MBean attribute.
  Parameters:
    `enable` - The servletExtensionCaseSensitive value

### getServletReloadCheckSecs

    public int getServletReloadCheckSecs()

  How often WebLogic checks whether a servlet has been modified, and if so reloads it. -1 is never reload, 0 is always reload.

  Default Value: 1
  Old Property: weblogic.httpd.servlet.reloadCheckSecs
  Returns:
    The servletReloadCheckSecs value

### setServletReloadCheckSecs

    public void setServletReloadCheckSecs(int secs)
                                   throws javax.management.InvalidAttributeValueException

  Sets the servletReloadCheckSecs attribute of the WebAppComponentMBean object.

  Parameters:
    `secs` - The new servletReloadCheckSecs value
  Throws:
    javax.management.InvalidAttributeValueException -

### getSingleThreadedServletPoolSize

    public int getSingleThreadedServletPoolSize()

  Defines the size of the pool used for SingleThreadedModel instance pools.

  Default Value: 5
  Old Property: weblogic.httpd.servlet.SingleThreadedModelPoolSize
  Returns:
    The singleThreadedServletPoolSize value

### setSingleThreadedServletPoolSize

    public void setSingleThreadedServletPoolSize(int siz)
                                          throws javax.management.InvalidAttributeValueException

  Sets the singleThreadedServletPoolSize attribute of the WebAppComponentMBean object.

  Parameters:
    `siz` - The new singleThreadedServletPoolSize value
  Throws:
    javax.management.InvalidAttributeValueException -

### getAuthRealmName

    public java.lang.String getAuthRealmName()

  Sets the Realm in the Basic Authentication HTTP dialog box, which pops up on the browsers.

  Default Value: "weblogic"
  Old Property: weblogic.httpd.authRealmName
  Returns:
    The authRealmName value

### setAuthRealmName

    public void setAuthRealmName(java.lang.String name)
                          throws javax.management.InvalidAttributeValueException

  Sets the authRealmName attribute of the WebAppComponentMBean object.

  Parameters:
    `name` - The new authRealmName value
  Throws:
    javax.management.InvalidAttributeValueException -

### getAuthFilter

    public java.lang.String getAuthFilter()

  Sets the AuthFilter Servlet class, which will be called before and after all authentication and authorization checks in the Web Application.

  Default Value: null
  Returns:
    The authFilter value

### setAuthFilter

    public void setAuthFilter(java.lang.String name)

  Sets the authFilter attribute of the WebAppComponentMBean object.

  Parameters:
    `name` - The new authFilter value

### isSessionMonitoringEnabled

    public boolean isSessionMonitoringEnabled()

  If true, then runtime MBeans will be created for sessions; otherwise, they will not.

  Default Value: false
  Returns:
    The sessionMonitoringEnabled value

### setSessionMonitoringEnabled

    public void setSessionMonitoringEnabled(boolean e)
                                     throws javax.management.InvalidAttributeValueException

  Sets the sessionMonitoringEnabled attribute of the WebAppComponentMBean object.

  Parameters:
    `e` - The new sessionMonitoringEnabled value
  Throws:
    javax.management.InvalidAttributeValueException -

### isPreferWebInfClasses

    public boolean isPreferWebInfClasses()

  If true, classes located in the WEB-INF directory of a web-app will be loaded in preference to classes loaded in the application or system classloader. Deprecated the setting from console starting from version 8.1. Need to set it in weblogic.xml instead.

  Default Value: false
  Returns:
    The preferWebInfClasses value

### setPreferWebInfClasses

    public void setPreferWebInfClasses(boolean b)

  Sets the preferWebInfClasses attribute of the WebAppComponentMBean object

  Parameters:
    `b` - The new preferWebInfClasses value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD